ASMC(4)

NAME
asmc - Apple System Management Controller (SMC)

SYNOPSIS
asmc0 at acpi?

DESCRIPTION
The asmc driver provides support for the Apple System Management Controller (SMC), as found in Intel based Apple devices.

The driver possesses a collection of temperature, fan, light, and acceleration sensor values which are made available through the sysctl(8) interface.

If available, the keyboard backlight is enabled by the driver and can be adjusted using the wsconsctl(8) variable keyboard.backlight.

SEE ALSO
acpi(4), intro(4), sensorsd(8), sysctl(8), wsconsctl(8)

HISTORY
The asmc driver first appeared in OpenBSD 5.9.

AUTHORS
-nosplit The asmc driver was written by Joerg Jung <jung@openbsd.org>.

CAVEATS
Light sensor values may not be available on older products.

Acceleration sensors are not available and the associated interrupt handling is not implemented.

Besides the sensors, the huge amount of other functions and information available from the SMC is not supported.